INSQUE(3)

NAME
insque, remque - insert/remove element from a queue

SYNOPSIS
struct qelem {
	struct	qelem *q_forw;
	struct	qelem *q_back;
	char	q_data[];
};

insque(elem, pred)
struct qelem *elem, *pred;

remque(elem)
struct qelem *elem;

DESCRIPTION
Insque and remque manipulate queues built from doubly linked lists. Each element in the queue must in the form of ``struct qelem''. Insque inserts elem in a queue immediately after pred; remque removes an entry elem from a queue.

SEE ALSO
``VAX Architecture Handbook'', pp. 228-235.